package no.noroff.lagaltnoroff.repositories;

import no.noroff.lagaltnoroff.model.Project;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProjectRepository extends JpaRepository<Project, Long> {
	// Autogenerated to find projects by the owners google key
	List<Project> findProjectsByOwnerGoogleKey(String key);

	// Autogenerated to find projects by user's google key
	List<Project> findProjectsByUsersGoogleKey(String key);
}
